package com.ruoyi.project.VRdemo.domain.imData;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.ruoyi.common.utils.excel.DataConverter;
import com.ruoyi.project.VRdemo.domain.ArchivesUnbound;

public class ArchivesUnboundImData implements BaseImData<ArchivesUnboundImData, ArchivesUnbound> {

    @ExcelProperty("id")
    private Long id;

    @ExcelProperty("英文名")
    private String englishName;

    @ExcelProperty("中文名")
    private String chineseName;

    @ExcelProperty("简介")
    private String introduce;

    @ExcelProperty("访问地址")
    private String link;

    @ExcelProperty("排序")
    private Integer sort;

    @ExcelIgnore
    DataConverter<ArchivesUnboundImData, ArchivesUnbound> converter = new DataConverter<ArchivesUnboundImData, ArchivesUnbound>() {
        @Override
        protected ArchivesUnbound convert(ArchivesUnboundImData archivesUnboundImData) {
            ArchivesUnbound archivesUnbound = new ArchivesUnbound();
            archivesUnbound.setId(archivesUnboundImData.getId());
            archivesUnbound.setChineseName(archivesUnboundImData.getChineseName());
            archivesUnbound.setEnglishName(archivesUnboundImData.getEnglishName());
            archivesUnbound.setLink(archivesUnboundImData.getLink());
            archivesUnbound.setIntroduce(archivesUnboundImData.getIntroduce());
            archivesUnbound.setSort(archivesUnboundImData.getSort());
            return archivesUnbound;
        }
    };

    @Override
    public DataConverter<ArchivesUnboundImData, ArchivesUnbound> getConverter() {
        return converter;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getLink() {
        return link;
    }

    public void setLink(String link) {
        this.link = link;
    }

    public String getIntroduce() {
        return introduce;
    }

    public void setIntroduce(String introduce) {
        this.introduce = introduce;
    }

    public String getChineseName() {
        return chineseName;
    }

    public void setChineseName(String chineseName) {
        this.chineseName = chineseName;
    }

    public String getEnglishName() {
        return englishName;
    }

    public void setEnglishName(String englishName) {
        this.englishName = englishName;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }
}
