package com.ruoyi.project.VRdemo.mapper;

import java.util.List;

import com.ruoyi.project.VRdemo.domain.ArchivesUnbound;

/**
 * 博雅集 Archives Unbound（Gale）Mapper接口
 *
 * @author ruoyi
 * @date 2024-10-06
 */
public interface ArchivesUnboundMapper {

    /**
     * 查询博雅集 Archives Unbound（Gale）
     *
     * @param id 博雅集 Archives Unbound（Gale）主键
     * @return 博雅集 Archives Unbound（Gale）
     */
    ArchivesUnbound selectArchivesUnboundById(Long id);

    /**
     * 根据标题查询博雅集 Archives Unbound（Gale）
     *
     * @param title 博雅集 Archives Unbound（Gale）标题
     * @return 博雅集 Archives Unbound（Gale）
     */
    ArchivesUnbound selectArchivesUnboundByTitle(String title);

    /**
     * 查询博雅集 Archives Unbound（Gale）列表
     *
     * @param archivesUnbound 博雅集 Archives Unbound（Gale）
     * @return 博雅集 Archives Unbound（Gale）集合
     */
    List<ArchivesUnbound> selectArchivesUnboundList(ArchivesUnbound archivesUnbound);

    /**
     * 新增博雅集 Archives Unbound（Gale）
     *
     * @param archivesUnbound 博雅集 Archives Unbound（Gale）
     * @return 结果
     */
    int insertArchivesUnbound(ArchivesUnbound archivesUnbound);

    /**
     * 批量新增博雅集 Archives Unbound（Gale）
     *
     * @param dataList 博雅集 Archives Unbound（Gale）数据集合
     * @return 结果
     */
    int insertArchivesUnboundDataList(List<ArchivesUnbound> dataList);

    /**
     * 修改博雅集 Archives Unbound（Gale）
     *
     * @param archivesUnbound 博雅集 Archives Unbound（Gale）
     * @return 结果
     */
    int updateArchivesUnbound(ArchivesUnbound archivesUnbound);

    /**
     * 删除博雅集 Archives Unbound（Gale）
     *
     * @param id 博雅集 Archives Unbound（Gale）主键
     * @return 结果
     */
    int deleteArchivesUnboundById(Long id);

    /**
     * 批量删除博雅集 Archives Unbound（Gale）
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteArchivesUnboundByIds(Long[] ids);

}
